Support » Fixing WordPress » /* ]]> */ at top and bottom of all pages

  • zorbon

    (@zorbon)


    Not sure when this issue appeared, but I have “/* ]]> */” appearing at the very top and bottom of every page on my site. Site uses the old Suffusion theme. Any ideas? I have already tired deactivating all plugins.

    The page I need help with: [log in to see the link]

Viewing 9 replies - 1 through 9 (of 9 total)
  • Moderator Steven Stern

    (@sterndata)

    Support Team Volunteer

    I’m not seeing it. Clear your cache on Cloudflare.

    lisa

    (@contentiskey)

    install health check plugin which can be used in troubleshooting mode to deactivate all plugins and theme
    might help narrow down the source of the issue that is creating the ” /* ]]> */ ”
    https://wordpress.org/plugins/health-check/

    I “see” the characters….but they are in dark text on dark background

    • This reply was modified 1 month ago by  lisa.
    Naveen Kharwar

    (@naveenkharwar)

    Hey

    It’s not a Plugin issue, in php /* */ is used to do comment and I think you have done some editing in the theme file and unfortunately you commented wrong this leads to the code to show it as HTML.
    It can be solved by searching /* ]]> */ in your theme mostly in header.php and footer.php and examine it, if you are not a coder then don’t do this simply contact the Theme Author and ask to help you.

    Thank You

    zorbon

    (@zorbon)

    I turned debug on and get a ton of duplicate errors stating “Notice: get_currentuserinfo is depricated since version 4.5.0! Use wp_get_current_user() instead. in …path../wp_includes/functions.php on line 3923.

    One of the error lines include the oddball string.

    I agree, it look like something is echoing the comment string /* ]]> */ as screen output.

    Naveen Kharwar

    (@naveenkharwar)

    I was checking and found this https://stackoverflow.com/questions/36595038/get-currentuserinfo-is-deprecated-since-version-4-5-use-wp-get-current-user-i#answer-36595049, but I still suggest you contact Theme Author.

    zorbon

    (@zorbon)

    Here is the code from the wp-includes/functions PHP…looks like just and error catcher. Starts at 3912 – 3938. 3923 marked.
    3912 /**
    * Filters whether to trigger an error for deprecated functions.
    *
    * @since 2.5.0
    *
    * @param bool $trigger Whether to trigger the error for deprecated functions. Default true.
    */
    if ( WP_DEBUG && apply_filters( ‘deprecated_function_trigger_error’, true ) ) {
    if ( function_exists( ‘__’ ) ) {
    if ( ! is_null( $replacement ) ) {
    /* translators: 1: PHP function name, 2: version number, 3: alternative function name */
    3923 trigger_error( sprintf( __(‘%1$s is deprecated since version %2$s! Use %3$s instead.’), $function, $version, $replacement ) );
    } else {
    /* translators: 1: PHP function name, 2: version number */
    trigger_error( sprintf( __(‘%1$s is deprecated since version %2$s with no alternative available.’), $function, $version ) );
    }
    } else {
    if ( ! is_null( $replacement ) ) {
    trigger_error( sprintf( ‘%1$s is deprecated since version %2$s! Use %3$s instead.’, $function, $version, $replacement ) );
    } else {
    trigger_error( sprintf( ‘%1$s is deprecated since version %2$s with no alternative available.’, $function, $version ) );
    }
    }
    }
    }

    3938 /**

    zorbon

    (@zorbon)

    3912	/**
    	 * Filters whether to trigger an error for deprecated functions.
    	 *
    	 * @since 2.5.0
    	 *
    	 * @param bool $trigger Whether to trigger the error for deprecated functions. Default true.
    	 */
    	if ( WP_DEBUG && apply_filters( 'deprecated_function_trigger_error', true ) ) {
    		if ( function_exists( '__' ) ) {
    			if ( ! is_null( $replacement ) ) {
    				/* translators: 1: PHP function name, 2: version number, 3: alternative function name */
    3923				trigger_error( sprintf( __('%1$s is <strong>deprecated</strong> since version %2$s! Use %3$s instead.'), $function, $version, $replacement ) );
    			} else {
    				/* translators: 1: PHP function name, 2: version number */
    				trigger_error( sprintf( __('%1$s is <strong>deprecated</strong> since version %2$s with no alternative available.'), $function, $version ) );
    			}
    		} else {
    			if ( ! is_null( $replacement ) ) {
    				trigger_error( sprintf( '%1$s is <strong>deprecated</strong> since version %2$s! Use %3$s instead.', $function, $version, $replacement ) );
    			} else {
    				trigger_error( sprintf( '%1$s is <strong>deprecated</strong> since version %2$s with no alternative available.', $function, $version ) );
    			}
    		}
    	}
    }
    
    3938 /**
    
    zorbon

    (@zorbon)

    Thanks Naveen, I’ll try using query monitor plugin

    Naveen Kharwar

    (@naveenkharwar)

    Awesome 🙂

Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.